Back to reference
GET/wallets/{walletId}/audit
Audit

List wallet audit records

Returns audit records associated with the wallet.

Access tierbusiness_auditorRate limit60/minIdempotencynoneAuthenticationBearerAuth
SourceLuxApi/app/Http/Controllers/Api/WalletApiController.php::auditLogLuxPayProjects @ 146e98baa44e

Parameters

X-Request-IDheader
stringOptional

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
walletIdpath
integerRequired

Numeric wallet identifier.

Example: 42
per_pagequery
integerOptional

Page size.

Example: 20
pagequery
integerOptional

Page number.

Example: 1

Code examples

The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request GET \
  --url 'https://sandbox-api.luxpay.example/v1/wallets/42/audit' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>'

Responses

200Successful response.
status
boolean
Example: true
data
any
{
  "status": true,
  "data": {
    "data": [
      {
        "id": 1,
        "event": "wallet_frozen",
        "entity_type": "wallet",
        "entity_id": 42,
        "actor_type": "string",
        "actor_id": 1,
        "created_at": "2026-07-16T12:00:00Z"
      }
    ],
    "current_page": 1,
    "last_page": 4,
    "per_page": 20,
    "total": 73,
    "from": 1,
    "to": 1
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection